CloneConfiguration (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.webapp

## Class CloneConfiguration

- java.lang.Object
- - org.eclipse.jetty.webapp.AbstractConfiguration
  - - org.eclipse.jetty.webapp.CloneConfiguration

- All Implemented Interfaces:
    Configuration

      public class CloneConfiguration
      extends AbstractConfiguration

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(WebAppContext context)` Configure WebApp.
    `void` | `deconfigure(WebAppContext context)` DeConfigure WebApp.

    - ### Methods inherited from class org.eclipse.jetty.webapp.AbstractConfiguration

      `cloneConfigure, destroy, postConfigure, preConfigure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### configure

          public void configure(WebAppContext context)
                         throws Exception

      Description copied from interface: `Configuration`
      Configure WebApp.

      Typically this step applies the discovered configuration resources to either the `WebAppContext` or the associated `MetaData`.

      Specified by:
        `configure` in interface `Configuration`
      Overrides:
        `configure` in class `AbstractConfiguration`
      Parameters:
        `context` - The context to configure
      Throws:
        `Exception`

    - #### deconfigure

          public void deconfigure(WebAppContext context)
                           throws Exception

      Description copied from interface: `Configuration`
      DeConfigure WebApp. This method is called to undo all configuration done. This is called to allow the context to work correctly over a stop/start cycle
      Specified by:
        `deconfigure` in interface `Configuration`
      Overrides:
        `deconfigure` in class `AbstractConfiguration`
      Parameters:
        `context` - The context to configure
      Throws:
        `Exception`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.